play.test

## Enum PlayJUnitRunner.StartPlay

- java.lang.Object
- - java.lang.Enum<PlayJUnitRunner.StartPlay>
  - - play.test.PlayJUnitRunner.StartPlay

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PlayJUnitRunner.StartPlay>, org.junit.rules.MethodRule

Enclosing class:
  PlayJUnitRunner

    public static enum PlayJUnitRunner.StartPlay
    extends java.lang.Enum<PlayJUnitRunner.StartPlay>
    implements org.junit.rules.MethodRule

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INVOKE_THE_TEST_IN_PLAY_CONTEXT`
`JUST_RUN_THE_TEST`

### Method Summary

All Methods Static Methods Concrete Methods
`static PlayJUnitRunner.StartPlay` `rule()`
`static PlayJUnitRunner.StartPlay` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PlayJUnitRunner.StartPlay[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.junit.rules.MethodRule

`apply`

### Enum Constant Detail

#### INVOKE_THE_TEST_IN_PLAY_CONTEXT

    public static final PlayJUnitRunner.StartPlay INVOKE_THE_TEST_IN_PLAY_CONTEXT

#### JUST_RUN_THE_TEST

    public static final PlayJUnitRunner.StartPlay JUST_RUN_THE_TEST

### Method Detail

#### values

    public static PlayJUnitRunner.StartPlay[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PlayJUnitRunner.StartPlay c : PlayJUnitRunner.StartPlay.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PlayJUnitRunner.StartPlay valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### rule

    public static PlayJUnitRunner.StartPlay rule()